Bug 1469158 - subversion-javahl libraries are missing
subversion-javahl libraries are missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
26
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 10:10 EDT by Jerry Amundson
Modified: 2017-07-25 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: subversion-1.9.6-2.fc25 subversion-1.9.6-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 12:53:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2017-07-10 10:10:42 EDT
Description of problem:
rpm -ql subversion-javahl
/usr/share/java/svn-javahl.jar

Version-Release number of selected component (if applicable):
subversion-libs-1.9.6-1.fc26.x86_64

How reproducible:
Once

Steps to Reproduce:
1. Upgrade from subversion-1.9.5-3.fc26.x86_64 to subversion-libs-1.9.6-1.fc26.x86_64
2.
3.

Actual results:
Errors, e.g. from eclipse:

Failed to load JavaHL Library.
These are the errors that were encountered:
no libsvnjavahl-1 in java.library.path
no svnjavahl-1 in java.library.path
no svnjavahl in java.library.path
java.library.path = /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib

Expected results:
A functioning system with no errors.

Additional info:
Comment 1 Jerry Amundson 2017-07-10 10:27:27 EDT
I downgraded to 1.9.5-3.fc26, and eclipse is happy again.
Comment 2 Joe Orton 2017-07-10 11:13:54 EDT
Hmmm, maybe javahl requires the .so link.  Can you install -devel as well and test whether that works with the 1.6.3 packages?
Comment 3 Joe Orton 2017-07-10 11:15:05 EDT
...or if possible invoke Java with something like:

-Dsubversion.native.library=/usr/lib64/libsvnjavahl-1.so.0

which I think is supposed to work.
Comment 4 Jerry Amundson 2017-07-10 11:28:00 EDT
(In reply to Joe Orton from comment #2)
> Hmmm, maybe javahl requires the .so link.  Can you install -devel as well
> and test whether that works with the 1.6.3 packages?

That works.
$ rpm -q subversion; echo ==; ls -l $(rpm -ql subversion-devel | grep java)
subversion-1.9.6-1.fc26.x86_64
==
-rwxr-xr-x. 1 root root 1095 Jul  6 13:52 /usr/lib64/libsvnjavahl-1.la
lrwxrwxrwx. 1 root root   23 Jul  6 13:52 /usr/lib64/libsvnjavahl-1.so -> libsvnjavahl-1.so.0.0.0
Comment 5 Jerry Amundson 2017-07-10 12:04:26 EDT
Can it just be put back to the way it was? That worked...

$ rpm -q subversion-javahl; echo ==; ls -ll $(rpm -ql subversion-javahl | grep java)
subversion-javahl-1.9.5-3.fc26.x86_64
==
-rwxr-xr-x. 1 root root   1095 Feb 11 21:22 /usr/lib64/libsvnjavahl-1.la
lrwxrwxrwx. 1 root root     23 Feb 11 21:22 /usr/lib64/libsvnjavahl-1.so -> libsvnjavahl-1.so.0.0.0
lrwxrwxrwx. 1 root root     23 Feb 11 21:22 /usr/lib64/libsvnjavahl-1.so.0 -> libsvnjavahl-1.so.0.0.0
-rwxr-xr-x. 1 root root 632392 Feb 11 21:23 /usr/lib64/libsvnjavahl-1.so.0.0.0
-rw-r--r--. 1 root root 440340 Feb 11 21:22 /usr/share/java/svn-javahl.jar
Comment 7 Joe Orton 2017-07-17 05:21:25 EDT
Thanks for confirming that.  I want -javahl to be noarch so I'd rather fix it.
Comment 8 Joe Orton 2017-07-17 07:22:51 EDT
Package: subversion-1.9.6-2.fc27
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=919280
Comment 9 Joe Orton 2017-07-17 07:50:21 EDT
Package: subversion-1.9.6-2.fc26
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=919286
Comment 10 Joe Orton 2017-07-17 09:58:33 EDT
Package: subversion-1.9.6-2.fc25
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=919399
Comment 11 Fedora Update System 2017-07-18 06:50:57 EDT
subversion-1.9.6-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-704c201dbb
Comment 12 Fedora Update System 2017-07-25 12:53:13 EDT
subversion-1.9.6-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.